{% extends 'base.html.twig' %}
{% block header_title %}Attributions à la réunion du week-end{% endblock %}
{% block header_subtitle %}Liste des proclamateurs{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_assignment_create') }}" class="btn btn-primary"><em class="icon ni ni-user-add-fill"></em><span>Ajouter un frère</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Frères ayant des attributions ({{ publishers|length }})</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Nom</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Lecteur</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Orateur</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Président</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for publisher in publishers %}
                        {% if publisher.assignment %}
                            <div class="nk-tb-item">
                                <div class="nk-tb-col">
                                    <span><a target="_blank" href="{{ path('app_publisher_show', {'id': publisher.id}) }}">{{ publisher.fullName }}</a></span>
                                </div>
                                <div class="nk-tb-col tb-col-md">
                                    {% if publisher.assignment.isWatchtowerReader %}
                                        <span class="tb-sub">✅</span>
                                    {% endif %}
                                </div>
                                <div class="nk-tb-col tb-col-md">
                                    {% if publisher.assignment.isSpeaker %}
                                        <span class="tb-sub">✅</span>
                                    {% endif %}
                                </div>
                                <div class="nk-tb-col tb-col-md">
                                    {% if publisher.assignment.isWeekendChairman %}
                                        <span class="tb-sub">✅</span>
                                    {% endif %}
                                </div>

                                <div class="nk-tb-col nk-tb-col-action">
                                    <div class="dropdown">
                                        <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                        <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                            <ul class="link-list-plain">
                                                <li><a href="#"
                                                       data-path="{{ path('app_assignment_edit', {'id': publisher.assignment.id}) }}" data-id="{{ publisher.assignment.id }}" id="launchModal{{ publisher.assignment.id }}" class="btnLaunchModal">Modifier</a></li>
                                                <li><a href="{{ path('app_assignment_delete', {'id': publisher.assignment.id}) }}">Supprimer les attributions</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endif %}

                    {% endfor %}
                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->

    <div class="modal fade" tabindex="-1" id="modalAjaxEditAssignment">
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        const $btnLaunch = $('.btnLaunchModal');


        $('.btnLaunchModal').click(function (e) {
            const id = $(this).data('id');
            const $launch = $('#launchModal' + id);
            const path = $launch.data('path');
            e.preventDefault();
            fetch(path).then((response) => {
                return response.text();
            })
                .then((blob) => {
                   $('#modalAjaxEditAssignment').replaceWith(blob);
                   $('#modalAjaxEditAssignment').modal('show');
                })
        })
    </script>
{% endblock %}
